# ACE_Hash< const char * > Class Template Reference

Function object for hashing a const string. More...

`#include <Functor.h>`

List of all members.

## Public Member Functions

unsigned long | operator() (const char *t) const
| Calls ACE::hash_pjw.

## Detailed Description

### template<>
class ACE_Hash< const char * >

Function object for hashing a const string.

## Member Function Documentation

ACE_INLINE unsigned long ACE_Hash< const char * >::operator() | ( | const char * | t | ) | const

| Calls ACE::hash_pjw.

The documentation for this class was generated from the following files:

- Functor.h
- Functor.inl